e2e:
  image: registry.gitlab.com/openstapps/openstapps/app-cypress:node-18
  stage: test
  script:
    - pnpm --filter=@openstapps/app install
    - pnpm --filter=@openstapps/app exec cypress install
    - cd node_modules/.pnpm/re2*/node_modules/re2
    - npm run install
    - cd $CI_PROJECT_DIR
    - pnpm test:integration:app
  artifacts:
    when: on_failure
    paths:
      - frontend/app/cypress/videos
      - frontend/app/cypress/screenshots
      - frontend/app/coverage/integration-report-junit.xml
    reports:
      junit:
        - frontend/app/coverage/integration-report-junit.xml
  parallel:
    matrix:
      - BROWSER: chrome
      - BROWSER: firefox
  rules:
    - !reference [.limit_pipelines, rules]
